Subject: bug#6023: closed (Re: bug#6022: An enhancement request for the Cp command.)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 27 Dec 2010 03:12:02 +0000

Your bug report

#6022: cp: Make --backup the default

which was filed against the coreutils package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
6022: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=6022
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#6022: An enhancement request for the Cp command.
From: Bob Proulx <[email-masked]>
To: Salvador <[email-masked]>
Cc: [email-masked], Drake Wyrm <[email-masked]>
Date: Sun, 26 Dec 2010 20:18:15 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

This issue has been marked as needing more information from the
submitter for quite a while.  The last was 246 days ago on 24 Apr 2010.
Without any more input this issue cannot make progress.  Therefore I
am closing the bug report.

Note that I think there may be something there with the enhancement
request.

Drake Wyrm wrote:
> I think what he wants is for the backup mechanism to preserve an
> existing suffix on the filename by inserting the versioning token
> somewhere in the middle of the filename.

I think that could be a useful feature.  But it would need someone to
work on it and it would need a good statement of the feature.  Drake's
summary and example looked like a good place to start.  But it isn't a
trivial feature to implement and some cases will cause trouble.

Bob

Subject: Re: An enhancement request for the Cp command.
From: Salvador <[email-masked]>
To: [email-masked]
Date: Sat, 24 Apr 2010 05:55:05 -0300
List-Id: <debbugs-submit.debbugs.gnu.org>

On 04/24/2010 05:51 AM, Salvador wrote:
> Hello.
> I want to request a feature for the Cp command that consist in 
> renaming a file from the source when a file in the destination 
> directory with the same name already exists. I am thought It could be 
> something like: from file.jpg to file-1.jpg.
> This behavior already exists in Web browsers and file managers.
> Thanks.
Also, I know about the backup argument but it makes the file not being 
possible to use by some programs without being renamed.